Bug 1663208 - Fuse mount crashed while deleting a 1 TB image file from RHV
Summary: Fuse mount crashed while deleting a 1 TB image file from RHV
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhhi
Version: rhhiv-1.5
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: RHHI-V 1.5.z Async
Assignee: Sahina Bose
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On: 1662059
Blocks: 1660741
TreeView+ depends on / blocked
 
Reported: 2019-01-03 12:25 UTC by SATHEESARAN
Modified: 2019-05-20 04:26 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.12.2-37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1662059
Environment:
RHV-RHGS Integration
Last Closed: 2019-05-20 04:26:50 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description SATHEESARAN 2019-01-03 12:25:15 UTC
+++ This bug was initially created as a clone of Bug #1662059 +++

Description of problem:
-----------------------

Attempts were made to try out the customer scenario, where the disks of bigger sizes residing on gluster volumes are deleted from RHV. During one such attempts, its found that the fuse mount process has crashed.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
RHV 4.0.5
RHGS 3.4.2 ( glusterfs-3.12.2-32.el7rhgs )

How reproducible:
-----------------
1/1 
Hit it once.

Steps to Reproduce:
-------------------
1. RHV storage domain is configured to use gluster arbitrated replicate volume,
with sharding enabled
2. Create disk of size 1TB from RHV Manager UI
3. Delete the disk from RHV Manager UI

Actual results:
---------------
Gluster fuse mount process was crashed on one of the hypervisor

Expected results:
-----------------
No gluster process should crash

Comment 3 SATHEESARAN 2019-01-23 09:59:47 UTC
The dependent bug is already verified, moving this bug also to ON_QA for verification

Comment 4 SATHEESARAN 2019-01-23 10:00:28 UTC
Tested with RHV 4.2.8 & RHGS 3.4.3 ( glusterfs-3.12.2-38.el7rhgs ) with the following tests:

Test1:
1. Create a image of size more than 1TB(preallocated) and then delete it.
2. Repeated the test 20 times.

Test2:
1. Create 4 image of size more than 1TB(preallocated) and then delete it.
2. Delete the images parallely from the same client or from different client.
3. Repeated the test 20 times.

Test3:
1. Create 4 images of size more than 1TB(preallocated)
2. Delete the image from client and immediately poweroff the host.
3. Power-on the host

With all these scenarios, there are no issues seen.
But when creating the preallocated image, fuse mount process crashed in some scenarios.
Created a new bug - BZ 1668304 - for tracking the above issue


Note You need to log in before you can comment on or make changes to this bug.